API DocumentationManufacturer part revision controller

Upload part revision

PUT
/api/manufacturer/v1/part-revision/upload

Uploads a 3D model file for analysis and creates a new part revision

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Query Parameters

designId?string

ID of the design to associate with this revision (optional)

customerOrganisationId?integer

ID of the customer organization (optional)

Header Parameters

X-Filename*string

Original filename of the file

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/manufacturer/v1/part-revision/upload" \  -H "X-Filename: string" \  -H "Content-Type: application/json" \  -d '{    "file": "string"  }'
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
Empty

Last updated on